package jp.co.corecorp.s3pdf;

import java.util.Date;

import org.json.JSONObject;

public abstract class CardPane {
	protected CardActivity activity;
	protected SharePDF	 cdata	= null;
	protected S3Application service = null;
	protected S3Resource resource = null;
	
	public static final int PANEALL = -1;
	public static final int PANE01 = 0;
	public static final int PANE02 = 1;
	public static final int PANE03 = 2;
	public static final int PANE04 = 3;
	public static final int PANE05 = 4;

	protected boolean startCalled = false;
	protected boolean endCalled = false;
	
	CardPane(CardActivity v, SharePDF cdata, S3Application service, S3Resource resource) {
		activity = v;
		this.cdata		= cdata;
		this.service	= service;
		this.resource	= resource;
	}
	abstract void loadPaneData(JSONObject paneData);
	abstract JSONObject savePaneData();
	abstract void initPane();
	abstract void startPane();
	abstract void endPane();
	abstract void showPane();
	abstract void hidePane();
	void onSelectItem(Object item) {}
	void onSelectDate(Date dv, int pos) {}
}
